/**
 * Ext GWT 3.0.0-beta4 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.filemanager;

import com.sencha.gxt.desktop.client.persistence.FileModel;
import com.sencha.gxt.dnd.core.client.DndDropEvent;
import com.sencha.gxt.dnd.core.client.TreeGridDragSource;
import com.sencha.gxt.widget.core.client.treegrid.TreeGrid;

public class FileManagerDragSource extends TreeGridDragSource<FileModel> {
  public FileManagerDragSource(TreeGrid<FileModel> widget) {
    super(widget);
  }

  @Override
  protected void onDragDrop(DndDropEvent event) {
    if (event.getDropTarget() instanceof FileManagerDropTarget) {
      // Do nothing, handled as move by custom DropTarget
    } else {
      super.onDragDrop(event);
    }
  }
}