/**
 * Ext GWT 3.0.0-beta4 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.service;

import com.google.gwt.user.client.ui.HasWidgets;
import com.sencha.gxt.desktop.client.desktopapp.ProfilePresenter;
import com.sencha.gxt.desktop.client.servicebus.ServiceProvider;

public class ProfileServiceProvider implements ServiceProvider<ProfileServiceRequest> {

  private ProfilePresenter profilePresenter;
  private HasWidgets hasWidgets;

  public ProfileServiceProvider(ProfilePresenter profilePresenter, HasWidgets hasWidgets) {
    this.profilePresenter = profilePresenter;
    this.hasWidgets = hasWidgets;
  }

  @Override
  public void onServiceRequest(ProfileServiceRequest profileServiceRequest) {
    profilePresenter.go(hasWidgets);
  }
}
