/**
 * Ext GWT 3.0.0-beta4 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.filemanager;

import com.sencha.gxt.desktop.client.desktopapp.Presenter;
import com.sencha.gxt.desktop.client.persistence.FileModel;
import com.sencha.gxt.desktop.client.persistence.FileModel.FileType;

public interface FileManagerPresenter extends Presenter {

  boolean isEnableCreate();

  boolean isEnableDelete();

  boolean isEnableEditName();

  boolean isEnableOpen();

  void onCollapse();

  void onCreate(FileType fileType);

  void onDelete();

  void onEditFileNameComplete(boolean isSaved);

  void onEditName();

  void onExpand();

  void onOpen();

  void onSelect(FileModel fileModel);

}