/**
 * Ext GWT 3.0.0-beta4 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.filemanager;

import java.util.List;

import com.google.gwt.user.client.ui.IsWidget;
import com.sencha.gxt.desktop.client.persistence.FileModel;

public interface FileManagerView extends IsWidget {

  public void collapse();

  public void editName(FileModel childFileModel);

  public void expand();

  public FileModel getSelectedItem();

  public List<FileModel> getSelectedItems();

  public void selectFileModel(FileModel fileModel);

}