/**
 * Ext GWT 3.0.0-beta4 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.persistence;

import java.util.List;

import com.sencha.gxt.data.shared.event.StoreAddEvent;

public class PersistentTreeStoreAddEvent<M> extends StoreAddEvent<M> implements HasMoveSupport {

  private boolean isMove;

  public PersistentTreeStoreAddEvent(int index, List<M> items, boolean isMove) {
    super(index, items);
    this.isMove = isMove;
  }

  @Override
  public boolean isMove() {
    return isMove;
  }

}
