/**
 * Ext GWT 3.0.0-beta4 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.service;

import com.google.gwt.user.client.ui.HasWidgets;
import com.sencha.gxt.desktop.client.desktopapp.LoginPresenter;
import com.sencha.gxt.desktop.client.servicebus.ServiceProvider;

public class LoginServiceProvider implements ServiceProvider<LoginServiceRequest> {

  private LoginPresenter loginPresenter;
  private HasWidgets hasWidgets;

  public LoginServiceProvider(LoginPresenter loginPresenter, HasWidgets hasWidgets) {
    this.loginPresenter = loginPresenter;
    this.hasWidgets = hasWidgets;
  }

  @Override
  public void onServiceRequest(LoginServiceRequest loginServiceRequest) {
    loginPresenter.go(hasWidgets);
  }

}
